Name: task-lamp
Version: 3
Release: %mkrel 10
Epoch:   1
Summary: Metapackage for the Linux, Apache, MySQL, PHP and Perl server
Group: System/Servers
License: GPLv2+
Requires: task-lamp-php
Requires: task-lamp-perl
# Requires: task-lamp-python
Requires: mariadb
Recommends: task-lamp-extras

BuildArch: noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP-server, allowing easy installation of a 
comprehensive LAMP testing/development setup. For a production server, 
you may prefer to install a subset of the dependencies.

%package php
Summary: Metapackage for the Linux, Apache, MySQL, PHP server
Group: System/Servers
License: GPLv2+
Requires: apache
Recommends: apache-mpm-prefork
Requires: php-webinterface
Requires: php-mysql
Requires: php-pear
Requires: php-gettext
Requires: php-xml
Requires: php-imap
Requires: php-mcrypt
Requires: php-gd
Requires: php-sqlite3
Recommends: mariadb
Recommends: phpmyadmin

%description php
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP (PHP) server

%package perl
Summary: Metapackage for the Linux, Apache, MySQL, Perl server
Group: System/Servers
License: GPLv2+
Requires: apache
Requires: apache-mod_perl
Requires: perl-DBD-mysql
#Requires: perl-DBD-SQLite2 ??
Recommends: mariadb

%description perl
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP (Perl) server

# %package python
# Summary: Metapackage for the Linux, Apache, MySQL, Python server
# Group: System/Servers
# License: GPLv2+
# Requires: apache-base
# Requires: apache-mod_python
# Requires: python-mysql
# Requires: python-sqlite
# Suggests: mysql

# %description python
# This package is a meta-package, meaning that its purpose is to contain
# dependencies for running LAMP (Python) server

%package extras
Summary: Metapackage for the Linux, Apache, MySQL, PHP/Perl/Python extras
Group: System/Servers
License: GPLv2+
Requires: apache-mod_userdir
Requires: apache-mod_dav
Recommends: proftpd
Recommends: mariadb-extra

%description extras
This package is a meta-package, meaning that its purpose is to add additional
packages for a LAMP setup that are not strictly required, but are often provided
in other similar bundles. These extra packages are usually a convenience, and not
recommended for use on production servers without securing them.

%files

%files php

%files perl

# %files python

%files extras




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1:3-10.mga9
+ Revision: 1812941
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 mokraemer <mokraemer> 1:3-9.mga8
+ Revision: 1607891
- Fix mod-php issue

* Wed Feb 12 2020 umeabot <umeabot> 1:3-8.mga8
+ Revision: 1501165
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:3-7.mga7
+ Revision: 1276656
- Mageia 7 Mass Rebuild

* Sun Nov 27 2016 wally <wally> 1:3-6.mga6
+ Revision: 1070381
- drop unneeded requires for freetype

* Fri Feb 05 2016 umeabot <umeabot> 1:3-5.mga6
+ Revision: 938467
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:3-4.mga5
+ Revision: 749052
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3-3.mga5
+ Revision: 689706
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1:3-2.mga4
+ Revision: 523362
- Mageia 4 Mass Rebuild

* Mon Apr 08 2013 spuhler <spuhler> 1:3-1.mga3
+ Revision: 409043
- removed Requires: php-eaccelerator-admin
 -becomes obsolete
 -it cannot be fixed
 -not maintained upstream
 -resolves bug #9628
  bumped rel from 0.2 to 1

* Mon Jan 14 2013 umeabot <umeabot> 1:3-0.2.mga3
+ Revision: 384073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 blino <blino> 1:3-0.1.mga3
+ Revision: 271049
- drop obsolete php-sqlite package

* Wed May 09 2012 alien <alien> 1:1-4.mga2
+ Revision: 235003
- Require mariadb instead of mysql
- Suggest mariadb-extra in the extra subpackage

* Sun Sep 18 2011 dmorgan <dmorgan> 1:1-3.mga2
+ Revision: 144725
- Change apache-conf require

* Tue May 17 2011 dmorgan <dmorgan> 1:1-2.mga1
+ Revision: 99385
- Remove phpmyadmin requires as this is already done by task-lamp-php

* Thu Apr 14 2011 dmorgan <dmorgan> 1:1-1.mga1
+ Revision: 85036
- Fix version for mageia

* Wed Apr 13 2011 philippem <philippem> 2009.1-3.mga1
+ Revision: 84755
- drop task-lamp-python
+ misc <misc>
- fix License

* Mon Apr 04 2011 tv <tv> 2009.1-2.mga1
+ Revision: 80555
- imported package task-lamp


* Wed Jul 29 2009 Buchan Milne <bgmilne@mandriva.org> 2009.1-2mdv2010.0
+ Revision: 404045
- Drop deps on packages dropped from php (mhash,ming) and replace sqlite with sqlite3

* Wed Apr 15 2009 Buchan Milne <bgmilne@mandriva.org> 2009.1-1mdv2009.1
+ Revision: 367572
- Changes to address bug #40785:
- Require mysql in task-lamp, and suggest it in all task-lamp-language packages
- Move proftpd to task-lamp-extras (which is suggested by task-lamp), and
  add apache-mod_userdir and apache-mod_dav
- Suggest apache-mpm-prefork in task-lamp-php

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-2mdv2009.1
+ Revision: 350085
- 2009.1 rebuild

* Mon Sep 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 282561
- bump version

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008-5mdv2009.0
+ Revision: 261399
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008-4mdv2009.0
+ Revision: 254155
- rebuild

* Fri Mar 14 2008 Buchan Milne <bgmilne@mandriva.org> 2008-2mdv2008.1
+ Revision: 187797
- import task-lamp


* Wed Jan 23 2008 Knut-Perry G Brumoen <kbrumoen@start.no> 2008-1mdv2008.0
- Initial package
